分布式存储_阿里云上行速度_学生机

资讯 虚拟云 浏览

小编:加速sapdatahub安装的一种方法是在AWS上有一个可重用的安装主机,用于安装和维护任务。我已经将各种安装步骤组合到这篇博文中,作为构建安装主机的指南,您应该拥有一个通过SAP

加速sapdatahub安装的一种方法是在AWS上有一个可重用的安装主机,用于安装和维护任务。我已经将各种安装步骤组合到这篇博文中,作为构建安装主机的指南,您应该拥有一个通过SAP Data Hub安装程序所做的所有飞行前检查的环境。

安装指南包含在中列出的安装主机先决条件help.sap.com帮助但指南中有层次结构中各个环节的所有步骤,所以我把它们放在一个地方。请注意,这在2.3.x和2.4.x中得到了确认,应该适用于Data Hub的未来版本,但始终使用当前的产品文档进行确认。

来源:help.sap.com帮助

Docker(最低版本1.12.6)已安装,可以推送到内部注册表。已安装Python 2.7Python YAML包(PyYAML)已安装。Kubernetes命令行工具kubectl是必需的,它使用以下版本之一:1.9.x条1.10.x(大于或等于1.10.1)1.11.x条kubectl必须有权访问Kubernetes集群Kubernetes包管理器Helm已安装并正确配置,使用以下版本之一:2.9.x–是AWS EKS的必需版本

对于AWS特定安装,您还需要

AWS iam authenticatoraws cli

可选组件(我个人的建议和最佳实践)

解压缩Linux屏幕

我将解释这些步骤并为每个项目提供命令。这将使您不必访问各个网站并逐个解密每个安装。

为此,我将假设您拥有AWS帐户并具有创建实例的适当权限。

登录亚马逊控制台并导航到EC2。确保将EC2实例安装在将要安装SAP Data Hub的AWS区域中(以限制跨区域联网成本)。

单击"启动实例"按钮启动新的EC2实例。请参阅下面选中的区域以检查区域和启动实例:

下一步是选择Amazon机器映像(AMI)为了启动,我选择了Ubuntu服务器18.04 64位,因为软件和包安装程序很容易使用。

接下来,为你的jumpbox选择EC2实例类型。我选择t3.xlarge,因为它有4cpu和16GB的ram以及5千兆位的网络,这有助于数据集线器安装的docker镜像阶段。如果您喜欢或想降低成本,您可以选择其他实例类型。

接下来配置您的实例详细信息。要进行的关键更改是jumpbox卷的存储。我的实例上的默认存储空间是8GB,没有足够的空间将安装文件和docker映像下载到本地计算机。

安装指南建议"它至少有10GB的可用磁盘空间用于SAP Data Hub安装文件夹和文件,联想云服务器,至少有20GB的可用磁盘空间用于已使用的容器映像。"

我的建议提供100-200 GB,以便为多个安装和将来的升级提供足够的空间。

可选–最好在实例中添加标记以供以后参考。

配置安全组,并确保您的本地计算机上有与实例相关的密钥对,以便您可以登录到机器。

一旦实例可用,请注意IP地址并使用您的密钥对文件从终端程序使用SSH登录。IP地址位于AWS控制台实例视图的下面板。

AWS上的机器映像通常以ec2用户作为系统用户,除了Ubuntu外,高防云服务器,它们使用"Ubuntu.login"到终端有以下:

ssh-iubuntu@

注意:我在MacBook上,因此,我可以使用pem密钥格式。如果您在windows上,您将使用PuTTY,并且必须将.pem密钥文件转换为.ppk。有很多关于AWS和StackOverflow的教程都涉及到这个主题。

现在我们可以在安装主机上安装软件

首先要做的是通过键入以下内容来假定根:

源:https://phoenixnap.com/kb/how-to-install-docker-on-ubuntu-18-04

运行以下命令安装docker

确认docker已安装,运行:

运行以下命令安装Python 2.7

确认Python 2.7已安装检查版本:

运行以下命令安装PyYAML(必须先安装Python)

来源:https://kubernetes.io/docs/tasks/tools/install kubectl/#install-使用本机包管理

文档显示如下安装kubectl的命令:

确认已安装的版本不幸的是,这将安装不支持的最新kubectl(1.14.1)。我们必须将其回滚到支持的版本。经过一番研究,我发现1.11.5是可行的,下面是如何将其降级。

验证降级版本

对于在AWS EKS上安装,只支持2.9.x。https://help.sap.com/viewer/e66c399612e84a83a8abe97c0eeb443a/2.4.latest/en-US/40cc1c6cd72546378182f0de584ced05.html

舵源:https://github.com/helm/helm

我在我的机器上创建了一个下载文件夹,并将所有软件下载转储到其中。只需将目录更改到该文件夹中,然后运行以下命令:

解包焦油.gz

在解包目录中找到helm二进制文件,并将其移动到所需的目的地

验证头盔版本

AWS特定安装:

来源:https://docs.aws.amazon.com/eks/latest/userguide/install-aws-iam-authenticator.html

aws iam authenticator允许您的安装主机通过kubectl(我们之前安装的)与EKS集群通信

我仍在使用中/下载文件夹,云储存数据库,运行以下命令下载并使文件可执行。

将aws iam authenticator可执行文件复制到您的根用户路径:

将路径导出到您的配置文件,以便每次登录时加载该文件

如果根用户在$HOME目录下没有/bin文件夹,只需创建它并再次运行命令。

您将需要AWS CLI连接到您的AWS实例和kubernetes群集。安装是一个简单的命令:

检查版本:

不幸的是,安装的版本对我们来说太旧了。1.14.x。最低要求的版本是1.16.73。

要升级awscli,爱淘客百度云,我们需要安装与Python 3一起工作的pip3。我们选择的ubuntu映像已经安装了Python 3。要确认键入:

要安装pip3,只需运行:

现在我们可以更新awscli

再次确认版本:

我们现在有版本1.16.147,高于最低版本1.16.73。

安装Data Hub 2.x所需的可选附加工具

现在我们有了基础,您需要安装解压来解压数据集线器安装文件。

安装解压很容易,只需运行:

文章来源:www.vmchk.com

 
你可能喜欢的: